Click here to Skip to main content
15,939,853 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
See more:
After the recent update both available versions fail to patch to blob storage and getting this error:

AzureBlobStorage.CreateFile failed: { "error": { "code": 400, "message": "Error validating Execution Restrictions - Bad Execution Restrictions", "source": "unitedstates-002.azure-apim.net", "path": "choose[3]\\when[1]\\choose\\when[1]", "policyId": "", "clientRequestId": "04842028-162c-47c4-afc5-4c074a6f0267" } }


I was making changes in the Prod environment, and by default it's taking Recommended version while publishing the app. The available versions I have now:
* 3.24043.21
* 3.24042.21
* 3.24041.27 (Recommended)

What I have tried:

I have seen some solutions, where asked to downgrade to 3.24032.26 version and it worked for me but now the same version is not visible in my app.

Another Suggestion I tried -

To enable "Disable secure implicit connections" in the Retired section of Upcoming features. It's Working with version 3.24041.27 (Recommended) to remove error-AzureBlobStorage.CreateFile failed, but some small changes I can see which should not be there.


Apart from this, upon starting the app (after turning on "Disable secure implicit connections"), showing the below warning.


Warning - You are using one more implicitly shared connections. This type of connection can be secured in this tenant using the new experimental switch for Secure Implicit connections. Leam more
Posted
Updated 19-Apr-24 5:07am
Comments

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900